Skip to content

Get 'Structurerenovationnotation'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/objects/renovation/structurerenovationnotation/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/objects/renovation/structurerenovationnotation/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
namestring, <= 255 charactersrequired
planned_end_datestring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: planned_start_date

planned_start_datestring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: planned_end_date

idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

descriptionstring or null
created_atstring, (date-time)read-only
articleobject or null(Article)
tagsanyread-only
buildingobject or null(Building)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: parking_lot, outdoor_area

This field, or at least one of the following fields must be set: parking_lot, outdoor_area

organizationobject or null(Organization)
blocks_object_utilizationboolean
post_completion_addon_percentagenumber or null, (float)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: post_completion_addon_value

This value must be set together with the following fields: post_completion_addon_percentage_mode

This value requires that the following fields are also set: article

while_active_discount_percentage_modeinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

This value must be set together with the following fields: while_active_discount_percentage

Enum Descriptions:

  • 0 - As Of Planned Start Date

  • 1 - As Of Planned End Date

  • 2 - As Of Confirmed Start Date

  • 3 - As Of Confirmed End Date

Enum:0123
post_completion_addon_valuenumber or null, (float)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: post_completion_addon_percentage

This value requires that the following fields are also set: article

post_completion_addon_percentage_modeinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

This value must be set together with the following fields: post_completion_addon_percentage

Enum Descriptions:

  • 0 - As Of Planned Start Date

  • 1 - As Of Planned End Date

  • 2 - As Of Confirmed Start Date

  • 3 - As Of Confirmed End Date

Enum:0123
confirmed_end_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: confirmed_start_date

confirmed_start_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: confirmed_end_date

customer_columnsanyread-only
outdoor_areaobject or null(Outdoorarea)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: building, parking_lot

This field, or at least one of the following fields must be set: building, parking_lot

while_active_discount_valuenumber or null, (float)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: while_active_discount_percentage

This value requires that the following fields are also set: article

custom_idstring or null, <= 128 characters
pending_monitor_approval_amountanyread-only
parking_lotobject or null(Parkinglot)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: building, outdoor_area

This field, or at least one of the following fields must be set: building, outdoor_area

while_active_discount_percentagenumber or null, (float)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: while_active_discount_value

This value must be set together with the following fields: while_active_discount_percentage_mode

This value requires that the following fields are also set: article

blocks_errandsboolean
Response
{ "description": "string", "created_at": "2019-08-24T14:15:22Z", "article": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "tags": null, "building": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "blocks_object_utilization": true, "post_completion_addon_percentage": 0.1, "while_active_discount_percentage_mode": 0, "post_completion_addon_value": 0.1, "post_completion_addon_percentage_mode": 0, "name": "string", "confirmed_end_date": "2019-08-24", "planned_end_date": "2019-08-24", "confirmed_start_date": "2019-08-24", "customer_columns": null, "outdoor_area": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "while_active_discount_value": 0.1, "planned_start_date": "2019-08-24", "custom_id": "string", "pending_monitor_approval_amount": null, "parking_lot": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "while_active_discount_percentage": 0.1, "blocks_errands": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }